Bug 191208 - Review Request: ipe - The Ipe extensible drawing editor
Review Request: ipe - The Ipe extensible drawing editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-09 15:13 EDT by Laurent Rineau
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 18:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2006-05-09 15:13:59 EDT
Spec URL: http://www.di.ens.fr/~rineau/Fedora/ipe.spec
SRPM URL: http://www.di.ens.fr/~rineau/Fedora/ipe-6.0-0.pre26.1.src.rpm
Description: Ipe is a drawing editor for creating figures in PDF or (encapsulated)
Postscript format. It supports making small figures for inclusion into
LaTeX-documents as well as making multi-page PDF presentations that
can be shown on-line with a PDF viewer.

(This software is developed in C++.)

Note: This request depends on qt4 (bug #188180).
Comment 1 Laurent Rineau 2006-05-11 03:07:39 EDT
Update, fix the Release tag:
  Spec URL: http://www.di.ens.fr/~rineau/Fedora/ipe.spec
  SRPM URL: http://www.di.ens.fr/~rineau/Fedora/ipe-6.0-0.1.pre26.src.rpm
Comment 2 Laurent Rineau 2006-05-21 14:13:50 EDT
Update:
  Spec URL: http://www.di.ens.fr/~rineau/Fedora/ipe.spec
  SRPM URL: http://www.di.ens.fr/~rineau/Fedora/ipe-6.0-0.3.pre26.src.rpm

* Sun May 21 2006 Laurent Rineau 
<laurent.rineau__fedora_extras@normalesup.org> - 6.0-0.3.pre26
- Added a desktop file for Ipe.
* Sun May 21 2006 Laurent Rineau 
<laurent.rineau__fedora_extras@normalesup.org> - 6.0-0.2.pre26
- Fix directories ownership.
- ipelets/*.so are now in -devel.
- Creation of -doc subpackage.
Comment 3 Laurent Rineau 2006-05-28 12:41:01 EDT
Update:
  Spec URL: http://www.di.ens.fr/~rineau/Fedora/ipe.spec
  SRPM URL: http://www.di.ens.fr/~rineau/Fedora/ipe-6.0-0.4.pre26.src.rpm

* Sun May 28 2006 Laurent Rineau 
<laurent.rineau__fedora_extras@normalesup.org> - 6.0-0.4.pre26
- No longer hardcode qt4 prefix. Use pkg-config instead.
Comment 4 Gérard Milmeister 2006-06-19 17:00:02 EDT
rpmlint ipe-devel-6.0-0.4.pre26.i386.rpm
E: ipe-devel only-non-binary-in-usr-lib
W: ipe-devel dangling-relative-symlink /usr/lib/ipe/6.0/ipelets/libalign.so
libalign.so.1.0.0
W: ipe-devel dangling-relative-symlink /usr/lib/ipe/6.0/ipelets/libtemplates.so
libtemplates.so.1.0.0
W: ipe-devel dangling-relative-symlink /usr/lib/ipe/6.0/ipelets/libimage.so
libimage.so.1.0.0
W: ipe-devel dangling-relative-symlink
/usr/lib/ipe/6.0/ipelets/libvisibility-polygon.so libvisibility-polygon.so.1.0.0
W: ipe-devel dangling-relative-symlink /usr/lib/ipe/6.0/ipelets/libgoodies.so
libgoodies.so.1.0.0
W: ipe-devel dangling-relative-symlink /usr/lib/ipe/6.0/ipelets/libkgon.so
libkgon.so.1.0.0
W: ipe-devel dangling-relative-symlink
/usr/lib/ipe/6.0/ipelets/libsmallest-circle.so libsmallest-circle.so.1.0.0

Are these .so files really necessary?
Comment 5 Laurent Rineau 2006-06-20 03:05:05 EDT
Update:
  Spec URL: http://www.di.ens.fr/~rineau/Fedora/ipe.spec
  SRPM URL: http://www.di.ens.fr/~rineau/Fedora/ipe-6.0-0.5.pre26.src.rpm

%changelog
* Tue Jun 20 2006 Laurent Rineau 
<laurent.rineau__fedora_extras@normalesup.org> - 6.0-0.5.pre26
- New patch ipe-6.0pre26-ipelet-pro_files.patch: fix the pro files of ipelets: 
the configshould be "plugin" instead of "dll".
- Cleanup of the %%files directives: do not own directories which are created 
by the main package in subpackages.


Thank you for your help, Gérard. The upstream ipelets pro files where 
incorrect, actually. I am in touch with the upstream author. The patch will be 
in next public prerelease, I think.
Comment 6 Gérard Milmeister 2006-07-09 10:11:21 EDT
* rpmlint is silent
* package name "ipe" is good
* license is gpl and included with the main package
* spec file is readable and clear
* builds in mock/i386 and installs flawlessly
* contains shared libraries and invokes ldconfig in %post and %postun
* owns all directories it creates
* large documentation in -doc subpackage
* desktop file installed

SHOULD:
* there is no icon for the .desktop file, add one later, if available
* the documentation is in /usr/share/ipe/6.0/doc; if it is not
  too much work, move it to /usr/share/doc/ipe-doc-6.0
* if the doc package is not installed, the web browser will report an error,
  if help is invoked in ipe; I don't consider this a blocker, but should
  probably dealt with somehow

MUST:
* ipe-doc must depend on ipe

please deal with MUST, then import the package

APPROVED
Comment 7 Laurent Rineau 2006-07-09 18:19:35 EDT
(In reply to comment #6)
> 
> MUST:
> * ipe-doc must depend on ipe
> 
> please deal with MUST, then import the package
> 
> APPROVED

Thank you for your review! I have commited release 6.0-0.7.pre26:

* Tue Jul  4 2006 Laurent Rineau 
<laurent.rineau__fedora_extras@normalesup.org> - 6.0-0.7.pre26
- In %%files, use libipe.so.1*, instead of libipe.so.*
- Make sub-package %%{name}-doc depend on %%{name}

* Wed Jun 28 2006 Laurent Rineau 
<laurent.rineau__fedora_extras@normalesup.org> - 6.0-0.6.pre26
- Added a patch, ipe_6.0pre26-initui.cpp.patch, to fix temporarely an upstream 
bug: QMenu aboutToshow() signal has a lowercase "a".

> SHOULD:
> * there is no icon for the .desktop file, add one later, if available

The upstream tarball has no icon. Who should create one. Me?!

> * the documentation is in /usr/share/ipe/6.0/doc; if it is not
>   too much work, move it to /usr/share/doc/ipe-doc-6.0

Well, I do not know how to install things into /usr/share/doc/ipe-doc-6.0, 
because the %doc macro of the -doc subpackage begins with:
  rm -rf %{_buildroot}/usr/share/doc/ipe-doc-6.0
which remove all files installed here during %install

> * if the doc package is not installed, the web browser will report an error,
>   if help is invoked in ipe; I don't consider this a blocker, but should
>   probably dealt with somehow

Maybe I should merge the doc package with the main package. Or trick a 
IPEBROWSER script that checks the presence of the documentation.
Comment 8 Laurent Rineau 2006-07-09 18:42:50 EDT
ipe build in devel:
  http://buildsys.fedoraproject.org/build-status/job.psp?uid=12338
Branches requested for FC-4 and FC-5.

I close this ticket, but I still expect suggestions, for my questions of 
comment #7. You can continue to write in this ticket, Gérard.

-- 
Laurent, sad because of France has not won the world cup, today.

Note You need to log in before you can comment on or make changes to this bug.